#ifndef _URLENCODE_H_
#define _URLENCODE_H_

#include <qstring.h>
#include <math.h>

/**
 * \brief url encoding class
 * \author korone(korone@gmail.com)
 */
class URLEncode
{
private:
	static QString csUnsafeString;
	QString decToHex(char num, int radix);
	bool isUnsafe(char compareChar);
	QString convert(char val);

public:
	URLEncode() { };
	virtual ~URLEncode() { };
	QString encode(QString vData);
};

#endif
